%define upstream_name    File-ShareDir
%define upstream_version 1.102

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Locate per-dist and per-module shared files  
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Inspector) >= 1.120.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Locate per-dist and per-module shared files  

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.102.0-6.mga6
+ Revision: 1027549
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.102.0-5.mga6
+ Revision: 943258
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.102.0-4.mga5
+ Revision: 745297
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.102.0-3.mga5
+ Revision: 732143
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.102.0-2.mga5
+ Revision: 684762
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 1.102.0-1.mga5
+ Revision: 624285
- update to 1.102

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 511637
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 367377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 52495
- update to 1.03

* Wed Jan 19 2011 jquelin <jquelin> 1.20.0-2.mga1
+ Revision: 24419
- fix specs
- imported package perl-File-ShareDir

